# $Revision: 1.139 $, $Date: 2006/01/17 15:12:09 $
#
# Conditional build:
%bcond_without	ldap		# build without LDAP support
%bcond_with	gpgme		# build with GPG support (experimental)
%bcond_without	esmtp		# build without ESMTP support
%bcond_without	gtkhtml		# build without HTML support
#
Summary:	Balsa Mail Client
Summary(es):	Balsa es un lector de e-mail
Summary(pl):	Balsa - klient poczty
Summary(pt_BR):	Balsa  um leitor de e-mail
Name:		balsa
Version:	2.3.5
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://balsa.gnome.org/%{name}-%{version}.tar.bz2
# Source0-md5:	ccc5f1f11028dd604c6dac97017a1274
Patch0:		%{name}-locale-names.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-includes.patch
Patch3:		%{name}-no_hooks.patch
URL:		http://balsa.gnome.org/
BuildRequires:	ORBit2-devel >= 1:2.12.4
BuildRequires:	aspell-devel >= 2:0.50
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	heimdal-devel
%{?with_esmtp:BuildRequires:	libesmtp-devel}
BuildRequires:	libgnomeprintui-devel >= 1.106.0
BuildRequires:	glib2-devel >= 2.6.4-1
BuildRequires:	gmime-devel >= 2.1.9
%{?with_gpgme:BuildRequires:	gpgme-devel >= 1:0.9.0}
BuildRequires:	gtk+2-devel >= 2:2.2.0
BuildRequires:	intltool
%{?with_gtkhtml:BuildRequires:	libgtkhtml-devel >= 2.0}
BuildRequires:	libltdl-devel
BuildRequires:	libgnomeprintui-devel >= 2.1.4
BuildRequires:	libgnomeui-devel >= 2.3.3.1-2
BuildRequires:	libtool
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel >= 3.0
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.1.4
%{?with_gpgme:Requires:	gpgme >= 1:0.9.0}
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Balsa is an e-mail reader.  This client is part of the GNOME
desktop environment.  It supports local mailboxes, POP3 and
IMAP.

%description -l es
Balsa es un lector de e-mail. Es parte del entorno GNOME. Soporta
cajas de correo electrnico locales, POP3 y IMAP.

%description -l pl
Balsa to klient e-mail. Jest czci rodowiska GNOME. Obsuguje POP3,
IMAP oraz lokalne skrzynki pocztowe. 

%description -l pt_BR
Balsa  um leitor de e-mail, parte do ambiente de desktop GNOME.
Suporta caixas de correio locais, POP3 a IMAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

rm -f po/no.{po,gmo}

%build
%{__intltoolize}
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__autoconf}
%configure \
	--with-gss \
	--with-ssl \
	%{!?with_esmtp:--without-esmtp} \
	%{!?with_gtkhtml:--disable-gtkhtml}\
	%{?with_gpgme:--with-gpgme} \
	%{?with_ldap:--with-ldap}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/sound/events/*
%{_datadir}/%{name}
%{_datadir}/sounds/%{name}
%{_libdir}/bonobo/servers/*.server
%{_datadir}/idl/*.idl
%{_mandir}/man1/*
%{_omf_dest_dir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/48x48/mimetypes/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: balsa.spec,v $
Revision 1.139  2006/01/17 15:12:09  baggins
- release 2
- BR openldap 2.3

Revision 1.138  2005/10/08 18:35:03  arekm
- builds with new orbit2.

Revision 1.137  2005/10/08 18:20:21  arekm
- up to 2.3.5; still doesn't build

Revision 1.136  2005/10/05 12:23:58  arekm
- rel 3

Revision 1.135  2005/06/04 12:10:10  speedy
- double %%

Revision 1.134  2005/06/04 12:03:29  paladine
- added desktop patch
- removed %%update_desktop_database_post{,un}
- cosmetics
- rel. 2

Revision 1.133  2005/06/04 11:40:39  speedy
- BR: rpmbuild(macros) >= 1.197
- Req(post,postun)
- pack mimetypes.

Revision 1.132  2005/06/04 11:17:36  speedy
- use macros (%%post, %%postun)

Revision 1.131  2005/06/04 10:33:15  speedy
- up to 2.3.2

Revision 1.130  2005/05/10 09:34:35  ankry
- rel. 3 to rebuild with newer libhowl

Revision 1.129  2005/01/09 17:54:35  qboosh
- ehm, one more

Revision 1.128  2005/01/09 17:54:04  qboosh
- gpgme epoch

Revision 1.127  2005/01/06 19:56:09  qboosh
- aspell epoch

Revision 1.126  2005/01/05 22:34:22  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.125  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.124  2004/11/23 14:39:30  paszczus
- updated to 2.2.6

Revision 1.123  2004/10/03 21:08:15  aflinta
- up to version 2.2.5

Revision 1.122  2004/08/28 13:50:05  aflinta
- up to version 2.2.4

Revision 1.121  2004/08/16 06:49:48  aflinta
- up to version 2.2.3

Revision 1.120  2004/08/11 20:38:32  qboosh
- restored es,pt_BR translations lost on upgrade

Revision 1.119  2004/08/11 07:27:02  aflinta
- grr, blind me, 2.2.2 version is avaible

Revision 1.118  2004/08/10 17:20:56  aflinta
- up to version 2.2.0

Revision 1.117  2004/07/23 19:25:42  ankry
- desktop fixes, rel. 4

Revision 1.116  2004/07/20 15:13:41  qboosh
- R: gpgme only when built with gpgme support
- disable gpgme by default for now (Ac still sticks to gpgme 0.3.x)
- release 3

Revision 1.115  2004/05/07 13:20:12  qboosh
- BR: intltool

Revision 1.114  2004/05/07 13:19:06  qboosh
- added locale-names (no->nb) and iconv-in-libc (avoid -liconv) patches
- updated deps (note that this version uses gpgme >= 0.4.3, not 0.3.x)
- release 2

Revision 1.113  2004/04/14 09:29:27  adamg
- updated to 2.0.17

Revision 1.112  2004/04/02 09:01:00  averne
- rel 4 for rebuild with new openldap

Revision 1.111  2004/03/17 07:15:49  qboosh
- bcond descriptions, release 3

Revision 1.110  2004/03/17 07:09:38  qboosh
- new-style bconds, refresh config.sub for amd64

Revision 1.109  2004/03/16 14:24:41  averne
- rel2 for rebuild with new openldap

Revision 1.108  2003/12/08 01:01:48  yoshi
- Added previously disappeared BR: libltdl-devel

Revision 1.107  2003/10/08 11:26:24  cieciwa
- added some bcond

Revision 1.106  2003/09/28 20:43:27  aflinta
- version 2.0.15

Revision 1.105  2003/08/31 21:20:18  aflinta
- corrected ldap config, thx Jacek Sobczak

Revision 1.104  2003/08/26 21:36:32  aflinta
- version 2.0.14

Revision 1.103  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.102  2003/08/11 20:44:52  ankry
cosmetics

Revision 1.101  2003/08/06 16:32:35  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.100  2003/08/05 11:59:01  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.99  2003/07/27 22:00:24  aflinta
- version 2.0.13

Revision 1.98  2003/07/07 19:10:26  aflinta
- version 2.0.12

Revision 1.97  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.96  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.95  2003/05/25 05:45:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.94  2003/05/22 21:11:31  aflinta
- typo

Revision 1.93  2003/05/22 20:56:32  aflinta
- version 2.0.11, snap 20030522 with extra functionality

Revision 1.92  2003/05/14 21:41:59  luzik
- added BR: xft-devel

Revision 1.91  2003/05/11 19:00:38  aflinta
- version 2.0.11, working only with gpgme 0.3.14 or 0.3.15, does not work with gpgme 0.4.0 which is unstable

Revision 1.90  2003/05/05 06:06:59  trojan
- added without ldap bcond

Revision 1.89  2003/03/28 13:12:15  adgor
- BR gpgme-devel >= 0.4.0; Req gpgme >= 0.4.0

Revision 1.88  2003/03/28 10:20:54  adgor
- Added desktop.patch (adding "Email" to "Categories" entry)
- Release 2

Revision 1.87  2003/03/25 17:50:01  aflinta
- updated to version 2.0.10

Revision 1.86  2003/03/05 09:09:13  aflinta
- updated to snap 20030305

Revision 1.85  2003/02/24 23:25:41  aflinta
- updated to version 2.0.9

Revision 1.84  2003/02/18 10:16:00  wrobell
- clean up

Revision 1.83  2003/02/17 23:02:57  areq
- 2.0.8

Revision 1.82  2003/02/13 21:43:27  aflinta
- updated to version 2.0.7

Revision 1.81  2003/01/30 10:19:45  aflinta
- updated to version 2.0.6

Revision 1.80  2003/01/28 22:25:58  aflinta
- updated to snap 20030125

Revision 1.79  2003/01/21 12:50:05  krzak
- updated BR's
- release 2.snap

Revision 1.78  2003/01/15 20:24:05  aflinta
- updated to snap 20030115

Revision 1.77  2003/01/13 23:07:46  aflinta
- updated to snap 20030113

Revision 1.76  2003/01/12 17:53:20  aflinta
- updated to snap 20030112

Revision 1.75  2003/01/05 16:01:45  aflinta
- updatrd to version 2.0.5

Revision 1.74  2003/01/04 11:00:54  wiget
- use autogen.sh hacked for libtool 1.4e

Revision 1.73  2003/01/03 19:11:41  aflinta
- snap 20030103

Revision 1.72  2002/12/27 23:34:57  grzegol
- added BR: libesmtp-devel

Revision 1.71  2002/12/26 20:14:29  aflinta
 - updated to version 2.0.4, snap 20021226

Revision 1.70  2002/12/18 23:11:37  aflinta
- more BR's

Revision 1.69  2002/12/18 23:01:46  aflinta
- updated to version 2.0.3 snap 20021218

Revision 1.68  2002/12/12 01:33:20  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.67  2002/10/10 11:54:51  marcus
- use new %%doc

Revision 1.66  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.65  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.64  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.63  2002/05/27 12:10:46  kloczek
- upated to 1.3.6,
- removed configure patch (hack for incorrectly linked libpspell) and added
  ac253 patch (fix for autoconf 2.53),
- added gdk-pixbuf-gnome-devel and removed gdk-pixbuf-devel in BuildRequires.

Revision 1.62  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.61  2002/05/19 00:15:55  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.60  2002/04/25 15:51:12  arturs
fixed a small typo

Revision 1.59  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.58  2002/03/21 20:51:36  kloczek
- updated to 1.2.4 (bugfix release).

Revision 1.57  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.56  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.55  2002/02/03 20:42:36  ankry
- adding es/pt/pt_BR Group translations

Revision 1.54  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2002/01/13 19:16:14  kloczek
- release 2: rebuild against gal 0.19.

Revision 1.52  2001/11/17 07:51:44  kloczek
- updated to 1.2.3,
- rebuild againsr gal 0.18.

Revision 1.51  2001/11/13 00:11:48  saq
- up to 1.2.1
- updated buildreqs
- updated URL
- am15.patch out
- configure.patch in
- STB

Revision 1.50  2001/09/19 21:12:11  kloczek
- enable pcre.

Revision 1.49  2001/09/19 21:07:46  kloczek
- updated to 1.2.0.

Revision 1.48  2001/09/10 20:36:43  kloczek
- am15 patch added.

Revision 1.47  2001/09/08 18:23:14  kloczek
- release 4: rebuild against gtkhtml 0.12.0.

Revision 1.46  2001/08/30 05:04:07  kloczek
- merge translations from CNV.

Revision 1.45  2001/07/26 07:29:47  kloczek
- release 3: rebuild against gal 0.9.

Revision 1.44  2001/07/21 18:23:00  kloczek
- release 2: s/--enable-threads/--disable-threads/

Revision 1.43  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.42  2001/07/16 18:57:54  aflinta
- added BuildRequires gal-devel

Revision 1.41  2001/07/16 16:56:33  kloczek
- updated to 1.1.7,
- added libesmtp-devel to BuildRequires,
- make spec ac 2.50 ready.

Revision 1.40  2001/06/22 05:57:47  kloczek
- release 4: "rm -f missing" before call automake in %build.

Revision 1.39  2001/05/11 18:19:41  kloczek
- make libtool hapy.

Revision 1.38  2001/05/11 12:48:14  misiek
- release 3
- rebuild against gtkhtml 0.9.2

Revision 1.37  2001/04/28 09:06:06  kloczek
- release 2: rebuild against pspell 12.1.

Revision 1.36  2001/04/25 10:15:17  pascalek
- updated to 1.1.4

Revision 1.35  2001/04/25 09:18:05  klakier
- fixed stylesheet path (stylesheet and dtd is not the same ;)) )

Revision 1.34  2001/04/18 09:06:22  kloczek
- regenerate am/ac file ad added fix in %build for get GNOME DTD dile from proper path.

Revision 1.33  2001/03/15 02:48:32  kloczek
- changed BuildRequires: s/docbook-dsssl/docbook-style-dsssl/
  s/docbook-style-dsssl/docbook-gnome-dtd10-sgml/

Revision 1.32  2001/03/02 17:57:16  kloczek
- updated to 1.1.2.

Revision 1.31  2001/02/06 10:29:24  kloczek
- updated to 1.1.1.

Revision 1.30  2001/02/04 07:13:37  kloczek
- release 2: build with SSL.

Revision 1.29  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.28  2001/01/22 09:45:41  kloczek
- updated to 1.1.0.

Revision 1.27  2000/12/19 04:51:24  kloczek
- updated to 1.0.1.

Revision 1.26  2000/12/10 00:16:11  kloczek
- release 2: rebuild on gtkhtml linked with new gal 0.3.

Revision 1.25  2000/11/28 18:23:20  kloczek
- simplifications in %files and BuildRequires list,
- added libltdl-develto BuildRequires.

Revision 1.24  2000/11/13 21:15:56  misiek
first stable release of balsa (1.0.0)

Revision 1.23  2000/11/10 08:09:18  kloczek
- release 2: use new rpm automation and rebuild against gnome-libs linked
  with db3.

Revision 1.22  2000/08/31 22:23:34  klakier
- Requires: docbook-gnome-sgml

Revision 1.21  2000/08/31 00:13:41  kloczek
- updated to 0.9.3,
- added --disable-more-warnings to autoconf parameters (without this
  autoconf can't go !?!).

Revision 1.20  2000/08/16 11:35:22  kloczek
- fixed Build dependences.

Revision 1.19  2000/08/16 11:07:51  kloczek
- updated to 0.9.2.

Revision 1.18  2000/08/09 19:40:38  kloczek
- updated to 0.9.1,
- added --with-mailpath=/var/mail to autoconf parameters.

Revision 1.17  2000/07/04 23:22:53  kloczek
- updated to 0.9.0,
- updated %files list and new Source url.

Revision 1.16  2000/06/26 22:29:29  kloczek
- updated to 0.8.1.

Revision 1.15  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/28 10:38:09  kloczek
- release 2.

Revision 1.12  2000/05/27 22:47:14  michuz
- %%_applnkdir changed

Revision 1.11  2000/05/23 00:15:52  kloczek
- fixed pixmaps in files list.

Revision 1.10  2000/05/22 21:51:06  kloczek
- updated to 0.8.0,
- new Source url and URL,
- removed Source1 (desktop file for balsa - in tar ball now is beter
  desktop).

Revision 1.9  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.8  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.6  2000/03/28 11:02:44  arturs
typo

Revision 1.5  2000/03/25 21:09:43  arturs
- in %description -l pl: additions & corrections

Revision 1.4  2000/02/09 22:15:36  kloczek
- added man pages for balsa.

Revision 1.3  2000/02/09 13:29:05  kloczek
- updated Source url,
- replaced locale patch by "gettextize --copy --force" in %build,
- simplifications in %files,
- removed COPYING and INSTALL from %doc,
- added Buildrequires rules,
- removed idl files (this is development stuff).

Revision 1.2  2000/02/09 10:00:58  waszi
- updated to 0.6.0
